Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface SyndicationStatus

    public interface SyndicationStatus

The `SyndicationStatus` class represents the state of a particular syndicator or subscriber when `getStatus` is called on it. The `SyndicationStatus` contains immutable state information including whether the syndicator was actively running, the date it was last run and the results of that run.

Method Summary
`java.util.Date` | `getLastRunDate()` Returns the `Date` the last time a syndication had occurred.
`SyndicationResult` | `getSyndicationResult()` Returns the `SyndicationResult` for the last time the syndication occurred.
`boolean` | `isRunning()` Returns `true` if syndication is currently active.

Method Detail

### isRunning

    boolean isRunning()

  Returns `true` if syndication is currently active.

  Returns:
    `true` if syndication is active
  Since:
    6.1

### getLastRunDate

    java.util.Date getLastRunDate()

  Returns the `Date` the last time a syndication had occurred.

  Returns:
    Returns a `Date` indicating the last time syndication started. Note the returned `Date` is the start time according to the system time on the Subscriber server, not the Syndicator server. Returns `null` if no previous run has occurred.
  Since:
    6.1

### getSyndicationResult

    SyndicationResult getSyndicationResult()

  Returns the `SyndicationResult` for the last time the syndication occurred. The `SyndicationResult` contains information about that last syndication run.

  Returns:
    The `SyndicationResult` for the last syndication run. Returns `null` if no previous run has occurred.
  Since:
    6.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD